description: Profile for plugins designed to work across all profiles
features:
  defaults:
  - maven-publish
  provided:
  - asset-pipeline-plugin
  - maven-publish
repositories:
- mavenLocal()
build:
  plugins:
  - org.graceframework.grace-plugin
  excludes:
  - org.graceframework.grace-core
dependencies:
- scope: compile
  coords: org.graceframework:grace-core
- scope: compileOnly
  coords: org.graceframework:grace-boot
name: plugin
extends: org.graceframework.profiles:base:2023.0.0-M5
commands:
  package-plugin: package-plugin.yml
  publish-plugin: publish-plugin.yml
templates:
- grailsCentralPublishing.gradle
- Plugin.groovy
